| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions | Variables
refimport.php File Reference

## Functions
| reflect_get_channel ()
| refimport_content (&$a)
| reflect_article_callback ($matches)
| reflect_photo_callback ($matches)
| reflect_find_user ($users, $name)
| reflect_comment_store ($channel, $post, $comment, $user)

## Variables
const | REDMATRIX_IMPORTCHANNEL 'mike'
const | REFLECT_EXPORTUSERNAME 'mike'
const | REFLECT_BLOGNAME 'Diary and Other Rantings'
const | REFLECT_BASEURL 'http://example.com/'
const | REFLECT_USERFILE 'user.json'
const | REFLECT_OVERWRITE false
const | REFLECT_MAXPERRUN 30

## Function Documentation

refimport_content | ( | & | $a | ) |

reflect_article_callback | ( |  | $matches | ) |

reflect_comment_store | ( |  | $channel,
|  |  | $post,
|  |  | $comment,
|  |  | $user
| ) |  |

Referenced by refimport_content().

reflect_find_user | ( |  | $users,
|  |  | $name
| ) |  |

Referenced by refimport_content().

reflect_get_channel | ( |  | ) |

Referenced by refimport_content(), and reflect_photo_callback().

reflect_photo_callback | ( |  | $matches | ) |

## Variable Documentation

const REDMATRIX_IMPORTCHANNEL 'mike'

Referenced by reflect_get_channel().

const REFLECT_BASEURL 'http://example.com/'

Referenced by reflect_comment_store(), and reflect_photo_callback().

const REFLECT_BLOGNAME 'Diary and Other Rantings'

Referenced by refimport_content().

const REFLECT_EXPORTUSERNAME 'mike'

Referenced by reflect_comment_store().

const REFLECT_MAXPERRUN 30

Referenced by refimport_content().

const REFLECT_OVERWRITE false

Referenced by refimport_content(), and reflect_comment_store().

const REFLECT_USERFILE 'user.json'

Referenced by refimport_content().